## nifticlib 2.0.0+git186-g84740c2

=== debian/changelog ===
nifticlib (2.0.0+git186-g84740c2-1) unstable; urgency=medium

  * Team upload

  [ Yaroslav Halchenko ]
  * Imported upstream snapshot to see how well it builds etc
  * debian/patches
    - dropped all 00* patches which were cherry picked from upstream
    - disable build_setup patch -- should no longer be needed
  * debian/rules
    - updated list of cmake settings to not build cifti code for now
  * debian/libnifti-doc.examples -- install the entirety of the real_easy
  * debian/control
    - add graphviz to Build-Depends since used during documentation build

  [ Andreas Tille ]
  * Take over packaging into Debian Med team
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use versioned copyright format URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Build-Depends: python3
    Closes: #967180, #943196
  * Stick to old version 2 series to avoid bumping SOVERSION in binary
    package name since due to version bumps to libznz.so.3 and
    libnifti*.so.2.1.0
  * d/copyright: Fix syntax

 -- Andreas Tille <tille@debian.org>  Wed, 12 Aug 2020 10:38:13 +0200

nifticlib (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Point Vcs fields to Salsa
  * debhelper 11
  * Standards-Version: 4.2.1
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Thu, 27 Sep 2018 07:51:38 +0200
